<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AntlrSourceVirtualDirectory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AntlrSourceVirtualDirectory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/antlr/AntlrPlugin.html" title="class in org.gradle.api.plugins.antlr"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/antlr/AntlrTask.html" title="class in org.gradle.api.plugins.antlr"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" target="_top">Frames</a></li>
<li><a href="AntlrSourceVirtualDirectory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.antlr</div>
<h2 title="Interface AntlrSourceVirtualDirectory" class="title">Interface AntlrSourceVirtualDirectory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">AntlrSourceVirtualDirectory</span></pre>
<div class="block">Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping,
 injecting a virtual directory named 'antlr' into the project's various <a href="../../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks"><code>source
 sets</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#NAME">NAME</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" title="interface in org.gradle.api.plugins.antlr">AntlrSourceVirtualDirectory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#antlr(org.gradle.api.Action)">antlr</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures the Antlr source for this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" title="interface in org.gradle.api.plugins.antlr">AntlrSourceVirtualDirectory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#antlr(groovy.lang.Closure)">antlr</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Configures the Antlr source for this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#getAntlr()">getAntlr</a></strong>()</code>
<div class="block">All Antlr source for this source set.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NAME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.plugins.antlr.AntlrSourceVirtualDirectory.NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAntlr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAntlr</h4>
<pre><a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;getAntlr()</pre>
<div class="block">All Antlr source for this source set.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The Antlr source.  Never returns null.</dd></dl>
</li>
</ul>
<a name="antlr(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>antlr</h4>
<pre><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" title="interface in org.gradle.api.plugins.antlr">AntlrSourceVirtualDirectory</a>&nbsp;antlr(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Configures the Antlr source for this set. The given closure is used to configure the <a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> (see
 <a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#getAntlr()"><code>getAntlr()</code></a>) which contains the Antlr source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to use to configure the Antlr source.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="antlr(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>antlr</h4>
<pre><a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" title="interface in org.gradle.api.plugins.antlr">AntlrSourceVirtualDirectory</a>&nbsp;antlr(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the Antlr source for this set. The given action is used to configure the <a href="../../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> (see
 <a href="../../../../../org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html#getAntlr()"><code>getAntlr()</code></a>) which contains the Antlr source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to use to configure the Antlr source.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/antlr/AntlrPlugin.html" title="class in org.gradle.api.plugins.antlr"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/antlr/AntlrTask.html" title="class in org.gradle.api.plugins.antlr"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.html" target="_top">Frames</a></li>
<li><a href="AntlrSourceVirtualDirectory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
